Subject: New Module List Posted
From: [email-masked] (Andreas Koenig)
Date: 15 Aug 1998 19:53:57 GMT
Newsgroups: comp.lang.perl.announce

The Perl 5 Module List, v2.49
=============================

Today I posted a new module list to the newsgroups
comp.lang.perl.modules, comp.answers, and news.answers. The HTML
version of the list has been uploaded to CPAN as well:

    http://www.perl.com/CPAN/modules/00modlist.long.html

As usual, comments, corrections and suggestions are highly
appreciated. Not only to the new entries below but to the whole module
list. Please mail them to [email-masked].

Due to extreme tuit shortage I have *not* been able to take all mails
into account we received since the last posting of the module list in
June. Please accept my apologies for that. I have registered new users
up to the 499th CPAN developer today. That's a cuuute number just in
time for the conference and a gret pleasure for me to announce here.

As I'll be on vacation after the conference, I'd like to ask all
developers who have pending requests for inclusion into the module
list to mail them again in September so I do not have to wade through
lots of old mail. Thank you.

Recent Changes in the modules database (! for changes, "+" for new entries)
---------------------------------------------------------------------------

2) Perl Core Modules, Perl Language Extensions and Documentation Tools
----------------------------------------------------------------------

B::
::Graph        bdpr  Perl Compiler backend to diagram OP trees    SMCCAM !

Module::
::Reload       Rdpf  Reloads files in %INC based on timestamps    JPRIT +

Perl           adcO  Create Perl interpreters from within Perl    GSAR +

constant       Supf  Define compile-time constants                P5P !

3) Development Support
----------------------

Devel::
::Leak         Rdcf  Find perl objects that are not reclaimed     NI-S +

VCS::
::PVCS         i     PVCS Version Manager (intersolv.com)         BMIDD +

4) Operating System Interfaces, Hardware Drivers
------------------------------------------------

Async::
::Group        adpO  Deal with simultaneous asynchronous calls    DDUMONT +
::Process      i     class to run sub-processes                   DDUMONT +

Proc::
::Background   bdpO  OS independent background process objects    BZAJAC +
::ProcessTable adcO  Unix process table information               DURIST +

Unix::
::UserAdmin    Rdpf  Interface to Unix Account Information        JZAWODNY +

5) Networking, Device Control (modems) and InterProcess Communication
---------------------------------------------------------------------

CORBA::
::IDLtree      adpf  IDL to symbol tree translator                OMKELLOGG +

Net::
::Dict         cdpO  Client of Dictionary Server Protocol (DICT)  ABIGAIL !

SNMP::
::Monitor      adpO  Accounting and graphical display             JWIED +

6) Data Types and Data Type Utilities (see also Database Interfaces)
--------------------------------------------------------------------

Algorithms::Numerical::
::Sample       RDph  Knuth's sample algorithm                     ABIGAIL !
::Shuffle      Rdph  Knuth's shuffle algorithm                    ABIGAIL !

Data::
::Locations    RdpO  Handles nested insertion points in your data STBEY !

Decision::
::Markov       bdpO  Build/evaluate Markov models for decisions   ALANSZ !

Math::
::Fourier      i     Fast Fourier Transforms                      AQUMSIEH +
::Integral     i     Integration of data                          AQUMSIEH +
::MatrixBool   RdcO  Matrix of booleans (Boolean Algebra)         STBEY +

Statistics::
::MaxEntropy   Rdpf  Maximum Entropy Modeling                     TERDOEST +
::OLS          bdpO  ordinary least squares (curve fitting)       SMORTON +

Tie::
::DB_Lock      rdpO  Tie DB_File with automatic locking           KWILLIAMS !
::TextDir      rdpO  ties a hash to a directory of textfiles      KWILLIAMS !

7) Database Interfaces (see also Data Types)
--------------------------------------------

DBD::
::ODBC         amcO  ODBC Driver for DBI                          DBIML +

Db::
::dmObject     cdpO  Object-based interface to Documentum EDMS    JGARRISON +

9) Interfaces to or Emulations of Other Programming Languages
-------------------------------------------------------------

Clips          adpO  Interface to the Expert System Clips         MSULLIVAN +

ShellScript::
::Env          adpO  Simple sh and csh script generator           SVENH +

10) File Names, File Systems and File Locking (see also File Handles)
---------------------------------------------------------------------

File::
::BSDGlob      bdcf  Secure, csh-compatible filename globbing     GBACON +
::Df           adpf  Free disk space utilities (h2ph required)    FTASSIN +

Filesys::
::Df           Rdpr  Disk free based on Filesys::Statvfs          IGUTHRIE !
::DiskFree     adpO  OS independant parser of the df command      ABARCLAY +
::Statvfs      Rdcf  Interface to the statvfs() system call       IGUTHRIE +

11) String Processing, Language Text Processing, Parsing and Searching
----------------------------------------------------------------------

ERG            Rdpf  An extensible report generator framework     PHOENIXL +

Parse::
::Yapp         adpO  Generate Perl OO parsers from LALR1 grammars FDESAR +

SQL::
::Builder      adpO  OO interface for creating SQL statements     ZENIN +

Text::
::FillIn       rdpo  Fill-in text templates                       KWILLIAMS +
::Graphics     RdpO  Graphics rendering toolkit with text output  SFARRELL !
::Vpp          RdpO  Versatile text pre-processor                 DDUMONT !

13) Internationalization and Locale
-----------------------------------

I18N::
::Charset      Rdpf  Character set names and aliases              MTHURN +

14) Authentication, Security and Encryption (see also Networking)
-----------------------------------------------------------------

RADIUS::
::Dictionary   bdpO  Object interface to RADIUS dictionaries      CHRMASTO !
::Packet       bdpO  Object interface to RADIUS (rfc2138) packets CHRMASTO !
::UserFile     bdpO  Manipulate a RADIUS users file               OEVANS +

15) World Wide Web, HTML, HTTP, CGI, MIME etc (see Text Processing)
-------------------------------------------------------------------

HTML::
::EP           adpO  Modular, extensible Perl embedding           JWIED +
::SimpleParse  bdpO  Bare-bones HTML parser                       KWILLIAMS +

16) Server and Daemon Utilities
-------------------------------

NetServer::
::Generic      adpO  generic OOP class for internet servers       CHSTROSS +

21) File Handle, Directory Handle and Input/Output Stream Utilities
-------------------------------------------------------------------

Expect         RdpO  Close relative of Don Libes' Expect in perl  AUSCHUTZ +

23) Miscellaneous Modules
-------------------------

Geo::
::METAR        Rdpf  Process Aviation Weather (METAR) Data        JZAWODNY +
::WeatherNOAA  Rdpf  Current/forecast weather from NOAA           MSOLOMON +

MIDI           cdpO  Object interface to MIDI files               SBURKE +

Penguin        RdpO  Remote Perl in Secure Environment            AMERZKY +

Silly::
::StringMaths  adpf  Do maths with letters and strings            SKINGTON +

24) Interface Modules to Commercial Software
--------------------------------------------

AltaVista::
::SearchSDK    cdcf  Perl Wrapper for AltaVista SDK functionality JTURNER +

Recent Changes in the users database (both new entries and updates)
-------------------------------------------------------------------
 AEPAGE    Andrew E Page <[email-masked]>
 ANDREWF   Andrew Ford <[email-masked]>
 BHOLZMAN  Benjamin Holzman <[email-masked]>
 CHOUPT    Chuck Houpt <[email-masked]>
 CHSTROSS  Charlie Stross <[email-masked]>
 CHTHORMAN Chris Thorman <[email-masked]>
 GBAUER    Georg Bauer <[email-masked]>
 GTHYNI    Göran Thyni <[email-masked]>
 JBODNAR   Jason Bodnar <[email-masked]>
 PMKANE    Patrick Michael Kane <[email-masked]>
 RBERJON   Robin Berjon <[email-masked]>
 SHAWNPW   Shawn P. Wallace <[email-masked]>
 SRIEHM    Stephen Riehm <[email-masked]>
 TIMPOTTER Tim Potter <[email-masked]>

--
andreas koenig